Bug 597265 - typo in code of agent/mibgroup/ip-mib/data_access/systemstats_common.c
typo in code of agent/mibgroup/ip-mib/data_access/systemstats_common.c
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Jan Safranek
Karel Srot
:
Depends On: 584807
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 10:26 EDT by Olivier Fourdan
Modified: 2013-03-03 21:49 EST (History)
5 users (show)

See Also:
Fixed In Version: net-snmp-5.5-22.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 584807
Environment:
Last Closed: 2010-11-10 16:12:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Fourdan 2010-05-28 10:26:19 EDT
+++ This bug was initially created as a clone of Bug #584807 +++

Created an attachment (id=408321)
Proposed patch

Description of problem:

It seems there's a typo in netsnmp_access_systemstats_entry_update_stats() from agent/mibgroup/ip-mib/data_access/systemstats_common.c

  322         prev_vals->stats.InUnknownProtos = new_vals->stats.InUnknownProtos;
  323         prev_vals->stats.InTruncatedPkts = new_vals->stats.InTruncatedPkts;
  324         prev_vals->stats.ReasmReqds = new_vals->stats.InTruncatedPkts;
                                                            ^^^^^^^^^^^^^^^

Should be prev_vals->stats.ReasmReqds = new_vals->stats.ReasmReqds

Version-Release number of selected component (if applicable):

Reported on net-snmp-5.3.2.2-9.el5 but also present in current svn trunk upstream:

http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/agent/mibgroup/ip-mib/data_access/systemstats_common.c?view=markup

(line 324)

How reproducible:
Steps to Reproduce:
Actual results:
Expected results:

N/A

Additional info:
Comment 2 RHEL Product and Program Management 2010-05-31 03:55:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jan Safranek 2010-06-01 10:25:58 EDT
I've just fixed it upstream, SVN rev. 18917.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:12:12 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.